<?php 

/**
 * SharedController Controller
 * @category  Controller / Model
 */
class SharedController extends BaseController{
	
	/**
     * order_item_article_category_id_option_list Model Action
     * @return array
     */
	function order_item_article_category_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT article_category_id AS value,article_category_name AS label FROM order_item ORDER BY article_category_name ASC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * product_supplier_id_option_list Model Action
     * @return array
     */
	function product_supplier_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,name AS label FROM user WHERE id=?" ;
		$queryparams = array(USER_ID);
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * product_category_id_option_list Model Action
     * @return array
     */
	function product_category_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,name AS label FROM category WHERE supplier_id=? ORDER BY id DESC" ;
		$queryparams = array(USER_ID);
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * restaurant_restaurant_id_value_exist Model Action
     * @return array
     */
	function restaurant_restaurant_id_value_exist($val){
		$db = $this->GetModel();
		$db->where("restaurant_id", $val);
		$exist = $db->has("restaurant");
		return $exist;
	}

	/**
     * restaurant_restaurant_id_option_list Model Action
     * @return array
     */
	function restaurant_restaurant_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,name AS label FROM user WHERE user_role_id='2' ORDER BY id DESC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * supplier_supplier_id_option_list Model Action
     * @return array
     */
	function supplier_supplier_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,name AS label FROM user WHERE user_role_id='3' ORDER BY id DESC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * supplier_restaurant_id_option_list Model Action
     * @return array
     */
	function supplier_restaurant_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT id AS value,name AS label FROM user WHERE user_role_id='2' ORDER BY id DESC";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * user_user_role_id_option_list Model Action
     * @return array
     */
	function user_user_role_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT role_id AS value, role_name AS label FROM roles";
		$queryparams = null;
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

	/**
     * user_name_value_exist Model Action
     * @return array
     */
	function user_name_value_exist($val){
		$db = $this->GetModel();
		$db->where("name", $val);
		$exist = $db->has("user");
		return $exist;
	}

	/**
     * user_email_value_exist Model Action
     * @return array
     */
	function user_email_value_exist($val){
		$db = $this->GetModel();
		$db->where("email", $val);
		$exist = $db->has("user");
		return $exist;
	}

	/**
     * user_user_value_exist Model Action
     * @return array
     */
	function user_user_value_exist($val){
		$db = $this->GetModel();
		$db->where("user", $val);
		$exist = $db->has("user");
		return $exist;
	}

	/**
     * order_item_order_itemarticle_category_id_option_list Model Action
     * @return array
     */
	function order_item_order_itemarticle_category_id_option_list(){
		$db = $this->GetModel();
		$sqltext = "SELECT  DISTINCT article_category_id AS value,article_category_name AS label FROM order_item WHERE order_id=? ORDER BY id ASC" ;
		$queryparams = array($_GET['oid']);
		$arr = $db->rawQuery($sqltext, $queryparams);
		return $arr;
	}

}
